JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Types | Public Attributes | List of all members
AudioProcessor::CurveData Struct Reference
juce_audio_processors » processors

Some plug-ins support sharing response curve data with the host so that it can display this curve on a console or in the mixer panel. More...

`#include <juce_AudioProcessor.h>`

## Public Types
enum class | Type : int { EQ , Dynamics , GainReduction , Unknown = -1 }

## Public Attributes
std::function< float(float)> | curve
Range< float > | xRange
Range< float > | yRange
String | xMeterID
String | yMeterID

## Detailed Description

Some plug-ins support sharing response curve data with the host so that it can display this curve on a console or in the mixer panel.

For example, ProTools allows you to see the total EQ curve of a track. It does this by interrogating each plug-in for their internal EQ curve.

## Member Enumeration Documentation

## ◆ Type

enum class AudioProcessor::CurveData::Type : int
| strong

Enumerator
EQ |
Dynamics |
GainReduction |
Unknown |

## Member Data Documentation

## ◆ curve

std::function<float (float)> AudioProcessor::CurveData::curve

## ◆ xRange

Range<float> AudioProcessor::CurveData::xRange

## ◆ yRange

Range<float> AudioProcessor::CurveData::yRange

## ◆ xMeterID

String AudioProcessor::CurveData::xMeterID

## ◆ yMeterID

String AudioProcessor::CurveData::yMeterID

The documentation for this struct was generated from the following file:

- juce_AudioProcessor.h